Post

Crea, approva, programma, pubblica e gestisci i post.

GET /brands/:slug/posts

Elenca i post, opzionalmente filtrati per status.

Query
?status=pending_user | approved | scheduled | published | failed
Responses
200Array di post
401Token non valido
curl -X GET \
  https://anomalia.so/api/v1/brands/:slug/posts \
  -H "Authorization: Bearer $TOKEN"
PUT /brands/:slug/posts/:id

Aggiorna un post.

Request Body
{ "caption": "New text", "platforms": ["instagram"] }
Responses
200Updated
404Non trovato
curl -X PUT \
  https://anomalia.so/api/v1/brands/:slug/posts/:id \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "caption": "New text", "platforms": ["instagram"] }'
POST /brands/:slug/posts/:id/approve

Approva e pubblica un singolo post.

Responses
200Approved
curl -X POST \
  https://anomalia.so/api/v1/brands/:slug/posts/:id/approve \
  -H "Authorization: Bearer $TOKEN"
POST /brands/:slug/posts/approve-all

Approva tutti i post in sospeso.

Responses
200Risultato bulk
curl -X POST \
  https://anomalia.so/api/v1/brands/:slug/posts/approve-all \
  -H "Authorization: Bearer $TOKEN"
POST /brands/:slug/posts/:id/publish

Pubblica subito.

Responses
200Published
curl -X POST \
  https://anomalia.so/api/v1/brands/:slug/posts/:id/publish \
  -H "Authorization: Bearer $TOKEN"
POST /brands/:slug/posts/:id/reschedule

Riprogramma un post.

Request Body
{ "scheduled_for": "2026-06-22T14:00:00Z" }
Responses
200Rescheduled
curl -X POST \
  https://anomalia.so/api/v1/brands/:slug/posts/:id/reschedule \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "scheduled_for": "2026-06-22T14:00:00Z" }'
DELETE /brands/:slug/posts/:id

Elimina un post (solo pending_user).

Responses
200Deleted
curl -X DELETE \
  https://anomalia.so/api/v1/brands/:slug/posts/:id \
  -H "Authorization: Bearer $TOKEN"